picocli

## Class CommandLine.Help.TextTable.Cell

- java.lang.Object
- - picocli.CommandLine.Help.TextTable.Cell

Enclosing class:
  CommandLine.Help.TextTable

    public static class CommandLine.Help.TextTable.Cell
    extends Object

Helper class to index positions in a `Help.TextTable`.

Since:
  2.0

### Field Summary

Fields
`int` `column` Table column index (zero based).
`int` `row` Table row index (zero based).

### Constructor Summary

Constructors
Constructor and Description
`Cell(int column, int row)` Constructs a new Cell with the specified coordinates in the table.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### column

    public final int column

Table column index (zero based).

#### row

    public final int row

Table row index (zero based).

### Constructor Detail

#### Cell

    public Cell(int column,
                int row)

Constructs a new Cell with the specified coordinates in the table.

Parameters:
  `column` - the zero-based table column
  `row` - the zero-based table row